package com.mjsheng.myappstore.dialog;

import android.app.Dialog;
import android.content.Context;
import android.view.Gravity;
import android.view.Window;

import com.mjsheng.myappstore.R;


/**
 * Created by Administrator on 2016/11/12.
 */

public class ShowDiaLog extends Dialog {
    public ShowDiaLog(Context context) {
        super(context);
    }

    public ShowDiaLog(Context context, int themeResId) {
        super(context, themeResId);
    }

    protected ShowDiaLog(Context context, boolean cancelable, OnCancelListener cancelListener) {
        super(context, cancelable, cancelListener);
    }


    @Override
    public void show() {

        Window window = getWindow();
        /*如果根据  AnimType 的类型，强制选择Dialog出现的位置*/
        window.setGravity(Gravity.CENTER);
        window.setWindowAnimations(R.style.alex_dialog_anim_scale);
        super.show();
    }
}
